Can't Update: "AppStream system cache was updated, but problems were found: Metadata files have errors"

  • When attempting to update the system via 'apt update', I get the following:


    Looks like that file is linked and does exist.

    Code
    root@NAS01:~# ls -lah /var/lib/app-info/yaml
    total 12K
    drwxr-xr-x 2 root root 4.0K Jan 21 10:34 .
    drwxr-xr-x 3 root root 4.0K Jan 21 10:20 ..
    lrwxrwxrwx 1 root root 92 Jan 21 10:20 ftp.us.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz -> /var/lib/apt/lists/ftp.us.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz




    Appstream status:



    I've refreshed the appstream cache and reinstalled appstream and libappstream4 without success. I cannot check for updates via the UI either as I get the following error:

    Code
    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; apt-get update 2>&1' with exit code '100': Get:1 file:/var/cache/openmediavault/archives InRelease Ign:1 file:/var/cache/openmediavault/archives InRelease Get:2 file:/var/cache/openmediavault/archives Release Ign:2 file:/var/cache/openmediavault/archives Release Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages [1100 B] Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Hit:5 http://security.debian.org/debian-security stretch/updates InRelease Ign:7 http://ftp.us.debian.org/debian stretch InRelease Hit:6 http://cdn-fastly.deb.debian.org/debian stretch-backports InRelease Get:8 https://openmediavault.github.io/packages arrakis InRelease [12.8 kB] Hit:9 http://ftp.us.debian.org/debian stretch-updates InRelease Hit:10 http://ftp.us.debian.org/debian stretch Release Hit:11 http://packages.openmediavault.org/public arrakis InRelease AppStream system cache was updated, but problems were found: Metadata files have errors: /var/lib/app-info/yaml/ftp.us.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz Fetched 12.8 kB in 0s (27.9 kB/s) Reading package lists... E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh-cache > /dev/null; fi' E: Sub-process returned an error code


    This occurs on both of my NAS boxes, and I cannot get them to update. The reason why I'm trying to update is because my 10GbE NIC no longer works in the primary NAS. I have the 10GbE bonded with a 1GbE NIC for failover. The server will boot and I can use the 1GbE, but after some time (many hours), I can no longer connect to the server... But that's another issue for another thread.


    Server info:

    Code
    root@NAS02:~# uname -r && lsb_release -a
    4.18.0-0.bpo.1-amd64
    No LSB modules are available.
    Distributor ID: Debian
    Description: Debian GNU/Linux 9.6 (stretch)
    Release: 9.6
    Codename: stretch
  • Post the output of: omv-aptclean

    omv 5.6.4 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Post the output of: omv-aptclean

  • AppStream system cache was updated, but problems were found: Metadata files have errors: /var/lib/app-info/yaml/ftp.us.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz
    Reading package lists... Done
    E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh-cache > /dev/null; fi'

    All of this seems to be caused by appstream. Why are you using it? I've never even heard of it. Do you have a desktop environment installed?

    omv 5.6.4 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • All of this seems to be caused by appstream. Why are you using it? I've never even heard of it. Do you have a desktop environment installed?

    I have no idea. I deployed these servers from the OMV install ISO, and I have no idea if I can remove appstream or not.

  • I have no idea. I deployed these servers from the OMV install ISO, and I have no idea if I can remove appstream or not.

    It is not installed by the OMV ISO and I don't know any plugins that require it. It isn't on any of my OMV installs. It is on my xubuntu laptop install. If you installed a desktop environment, it may have been installed but I would remove it.

    omv 5.6.4 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • It is not installed by the OMV ISO and I don't know any plugins that require it. It isn't on any of my OMV installs. It is on my xubuntu laptop install. If you installed a desktop environment, it may have been installed but I would remove it.

    Yep, I uninstalled it and everything seems to be working. I can't find where those came from. The GUI has never been installed and the server has only been used as dedicated NAS'. Thanks for your help!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!